Imports System.ComponentModel

Namespace ComponentModel
    <ToolboxItem(False)> _
    Public Class DefaultListEditorControl
        Inherits PropertyGrid
        Implements IEditor

        Public Event ValueChanged() Implements IEditor.ValueChanged

        Public Sub New(ByVal itemType As Type)
            ToolbarVisible = False
            PropertySort = Windows.Forms.PropertySort.NoSort
        End Sub

        Public Sub SetSelectedObjects(ByVal objects As Object()) Implements IEditor.SetSelectedObjects
            SelectedObjects = objects
        End Sub

        Private Sub DefaultListEditor_PropertyValueChanged(ByVal s As Object, ByVal e As PropertyValueChangedEventArgs) Handles MyBase.PropertyValueChanged
            RaiseEvent ValueChanged()
        End Sub
    End Class
End Namespace